<ion-content>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-item>
      <ion-label>{{ 'Add Demand' | translate }}</ion-label>
    </ion-item>
  </ion-toolbar>

  <ion-card>
    <ion-card-header>
      <ion-card-title>{{ 'Add DemandLog' | translate }}</ion-card-title>
      <ion-card-subtitle>{{ 'Add a new demandLog' | translate }}</ion-card-subtitle>
    </ion-card-header>
    <ion-card-content>

      <form [formGroup]="form" (ngSubmit)="addDemandLog()" (keyup.enter)="addDemandLog()" method="post">

        <ion-item>
          <ion-label position="floating">{{ 'Name' | translate }}</ion-label>
          <ion-input formControlName="name" type="text" name="name"></ion-input>
        </ion-item>

        <div style="color: red" *ngIf="form.get('name').hasError('required') && form.get('name').touched">
        {{ 'This field is required*' | translate }}</div>

        <ion-item>
          <ion-label position="floating">{{ 'Description' | translate }}</ion-label>
          <ion-input formControlName="description" type="text" name="description"></ion-input>
        </ion-item>

        <div style="color: red" *ngIf="form.get('description').hasError('required') && form.get('description').touched">
         {{ 'This field is required*' | translate }}</div>

        <ion-item>
          <ion-label position="floating">{{ 'Amount' | translate }}</ion-label>
          <ion-input formControlName="amount" type="number" name="amount" min="0" (ionInput)="changeToPositive()"></ion-input>
        </ion-item>

        <div style="color: red" *ngIf="form.get('amount').hasError('required') && form.get('amount').touched">
        {{ 'This field is required*' | translate }}</div>

        <ion-item>
          <ion-label position="floating">{{ 'Payees' | translate }}</ion-label>
          <ionic-selectable #selectComponent formControlName="payees" itemValueField="id"
            itemTextField="flatNo" itemTextField="phone" itemTextField="name" [isMultiple]="true" headerColor="primary"
            [canSearch]="true" (onChange)="userChanged($event)" (onSearch)="onSearch($event)"
            [shouldBackdropClose]="true" name="payees" (onOpen)="onOpen()" (onClose)="onClose()" (onSearchFail)="onSearchFail($event)">

            <ng-template ionicSelectableCloseButtonTemplate>
              <ion-icon name="close-circle"></ion-icon>
            </ng-template>

            <ng-template ionicSelectableTitleTemplate>
              {{ 'Select Payee' | translate }}
            </ng-template>

            <ng-template ionicSelectableMessageTemplate *ngIf="societyService.progressing">
              <ion-progress-bar color="danger" value="0.7"></ion-progress-bar>
            </ng-template>

            <ng-template ionicSelectableItemTemplate let-apartment="item">
              {{ apartment.name }} ({{ apartment.facilityOwner?.name }})
            </ng-template>

            <ng-template ionicSelectableFooterTemplate>
              <ion-footer>
                <ion-toolbar>
                  <ion-row text-center>
                    <ion-col>
                      <ion-button fill="clear" (click)="clear()">{{ 'Cancel' | translate }}</ion-button>
                    </ion-col>
                    <ion-col>
                      <ion-button fill="clear" (click)="confirm()">{{ 'Confirm' | translate }}</ion-button>
                    </ion-col>
                  </ion-row>
                </ion-toolbar>
              </ion-footer>
            </ng-template>

          </ionic-selectable>
        </ion-item>

        <div style="color: red" *ngIf="form.get('payees').hasError('required') && form.get('payees').touched">
         {{ 'This field is required*' | translate }}</div>

        <ion-item>
          <ion-label position="floating">{{ 'Due Date' | translate }}</ion-label>
          <ion-datetime displayFormat="MMM DD, YYYY HH:mm" pickerFormat="MMM DD, YYYY HH:mm" min="{{minDate}}" max="{{maxDate}}" placeholder=" {{ 'Select Date' | translate }}"
            formControlName="dueDate" name="dueDate"></ion-datetime>
        </ion-item>

        <div style="color: red" *ngIf="form.get('dueDate').hasError('required') && form.get('dueDate').touched">
         {{ 'This field is required*' | translate }}</div>

        <ion-button type="submit" expand="full" color="primary" [disabled]="!form.valid">
          {{ 'Add DemandLog' | translate }}</ion-button>
      </form>
    </ion-card-content>
  </ion-card>

  <div style="height: 100px;">&nbsp;</div>

</ion-content>